use Encode qw/ encode /;
use Encode qw/ decode_utf8 /;

# use Encode qw/ from_to /;

# Copyright (c) 2014 TAKAGI-1 (TAKAGI Hitoshi, http://takagi1.net/).
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHORS AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

@data = <STDIN>;

# foreach $ele (@data) {
#   from_to( $ele, 'utf8','euc-jp');
# }

# foreach $ele (@data) {  # http://blog.livedoor.jp/sasata299/archives/51186273.html
#   $ele = encode('cp932', decode_utf8($ele));
#   $ele = encode('euc-jp', decode('shift_jis', $ele));
# }

# http://blog.livedoor.jp/sasata299/archives/51186273.html
# http://d.hatena.ne.jp/kopug/20060903
foreach $ele (@data) {
  $ele = decode_utf8($ele);
  $ele =~ tr/[\x{ff5e}\x{2225}\x{ff0d}\x{ffe0}\x{ffe1}\x{ffe2}]/[\x{301c}\x{2016}\x{2212}\x{00a2}\x{00a3}\x{00ac}]/;
  $ele = encode('euc-jp', $ele);
}

print @data;